## OpenGL debugging

OpenGL debugging — helper routines for dealing with OpenGL debugging

## Functions

gchar * | (*GstGLAsyncDebugLogGetMessage) ()
GstGLAsyncDebug * | gst_gl_async_debug_new ()
void | gst_gl_async_debug_free ()
void | gst_gl_async_debug_init ()
void | gst_gl_async_debug_unset ()
void | gst_gl_async_debug_freeze ()
void | gst_gl_async_debug_thaw ()
void | gst_gl_async_debug_output_log_msg ()
void | gst_gl_async_debug_store_log_msg ()
void | gst_gl_async_debug_store_log_msg_valist ()
#define | GST_GL_ASYNC_CAT_LEVEL_LOG_valist()
#define | GST_GL_ASYNC_CAT_LEVEL_LOG()
void | gst_gl_insert_debug_marker ()

## Types and Values

struct | GstGLAsyncDebug

## Includes

    #include <gst/codecparsers/gstmpeg4parser.h>

## Description

## Functions

### GstGLAsyncDebugLogGetMessage ()

    gchar *
    (*GstGLAsyncDebugLogGetMessage) (gpointer user_data);

### gst_gl_async_debug_new ()

    GstGLAsyncDebug *
    gst_gl_async_debug_new (void);

Free with `gst_gl_async_debug_free()`

[skip]

#### Returns

a new GstGLAsyncDebug

Since: 1.8

### gst_gl_async_debug_free ()

    void
    gst_gl_async_debug_free (GstGLAsyncDebug *ad);

Frees `ad`

#### Parameters

ad | a GstGLAsyncDebug |

Since: 1.8

### gst_gl_async_debug_init ()

    void
    gst_gl_async_debug_init (GstGLAsyncDebug *ad);

Initialize `ad` . Intended for use with GstGLAsyncDebug's that are embedded in other structs.

#### Parameters

ad | a GstGLAsyncDebug |

Since: 1.8

### gst_gl_async_debug_unset ()

    void
    gst_gl_async_debug_unset (GstGLAsyncDebug *ad);

Unset any dynamically allocated data. Intended for use with GstGLAsyncDebug's that are embedded in other structs.

#### Parameters

ad | a GstGLAsyncDebug |

### gst_gl_async_debug_freeze ()

    void
    gst_gl_async_debug_freeze (GstGLAsyncDebug *ad);

freeze the debug output. While frozen, any call to `gst_gl_async_debug_output_log_msg()` will not output any messages but subsequent calls to `gst_gl_async_debug_store_log_msg()` will overwrite previous messages.

#### Parameters

ad | a GstGLAsyncDebug |

Since: 1.8

### gst_gl_async_debug_thaw ()

    void
    gst_gl_async_debug_thaw (GstGLAsyncDebug *ad);

unfreeze the debug output. See `gst_gl_async_debug_freeze()` for what freezing means

#### Parameters

ad | a GstGLAsyncDebug |

Since: 1.8

### gst_gl_async_debug_output_log_msg ()

    void
    gst_gl_async_debug_output_log_msg (GstGLAsyncDebug *ad);

Outputs a previously stored debug message.

#### Parameters

ad | the GstGLAsyncDebug to store the message in |

### gst_gl_async_debug_store_log_msg ()

    void
    gst_gl_async_debug_store_log_msg (GstGLAsyncDebug *ad,
                                      GstDebugCategory *cat,
                                      GstDebugLevel level,
                                      const gchar *file,
                                      const gchar *function,
                                      gint line,
                                      GObject *object,
                                      const gchar *format,
                                      ...);

Stores a debug message for later output by `gst_gl_async_debug_output_log_msg()`

#### Parameters

ad | the GstGLAsyncDebug to store the message in |
cat | the GstDebugCategory to output the message in |
level | the GstLevel |
file | the file where the debug message originates from |
function | the function where the debug message originates from |
line | the line in `file` where the debug message originates from |
object | a GObject to associate with the debug message. | [allow-none]
format | a printf style format string |
... | the list of arguments for `format` |

Since: 1.8

### gst_gl_async_debug_store_log_msg_valist ()

    void
    gst_gl_async_debug_store_log_msg_valist
                                   (GstGLAsyncDebug *ad,
                                    GstDebugCategory *cat,
                                    GstDebugLevel level,
                                    const gchar *file,
                                    const gchar *function,
                                    gint line,
                                    GObject *object,
                                    const gchar *format,
                                    va_list varargs);

Stores a debug message for later output by `gst_gl_async_debug_output_log_msg()`

#### Parameters

ad | the GstGLAsyncDebug to store the message in |
cat | the GstDebugCategory to output the message in |
level | the GstLevel |
file | the file where the debug message originates from |
function | the function where the debug message originates from |
line | the line in `file` where the debug message originates from |
object | a GObject to associate with the debug message. | [allow-none]
format | a printf style format string |
varargs | the list of arguments for `format` |

Since: 1.8

### GST_GL_ASYNC_CAT_LEVEL_LOG_valist()

    #define             GST_GL_ASYNC_CAT_LEVEL_LOG_valist(ad,cat,level,object,format,varargs)

Stores a debug message in `ad` for later output

#### Parameters

ad | the GstGLAsyncDebug to store the message in |
cat | the GstDebugCategory to output the message in |
level | the GstLevel |
object | a GObject to associate with the debug message. | [allow-none]
format | a printf style format string |
varargs | the list of arguments for `format` |

### GST_GL_ASYNC_CAT_LEVEL_LOG()

    #define             GST_GL_ASYNC_CAT_LEVEL_LOG(ad,cat,level,object,format,...)

Stores a debug message in `ad` for later output

#### Parameters

ad | the GstGLAsyncDebug to store the message in |
cat | the GstDebugCategory to output the message in |
level | the GstLevel |
object | a GObject to associate with the debug message. | [allow-none]
format | a printf style format string |
... | the list of arguments for `format` |

### gst_gl_insert_debug_marker ()

    void
    gst_gl_insert_debug_marker (GstGLContext *context,
                                const gchar *format,
                                ...);

Inserts a marker into a GL debug stream. Requires the 'gldebugmarker' debug category to be at least `GST_LEVEL_FIXME`.

#### Parameters

context | a GstGLContext |
format | a printf-style format string |
... | arguments form `format` |

Since: 1.8

## Types and Values

### struct GstGLAsyncDebug

    struct GstGLAsyncDebug {
    };

GstGLAsyncDebug an opaque structure and should only be accessed through the provided API.

## See Also

GstGLContext